<?PHP
/*
AINS - Ad Fundum Integrated News Script
Copyright (C) 2001 Johannes Gijsbers

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

For the complete GNU General Public License, read the file LICENSE.

************************
Filename: ains_global.inc
Version: 0.02b
Written by: Taradino(Taradino@Softhome.net)
Description: Admin functions for use with AINS.
History:
(for details, take a look at CHANGELOG in the documentation dir)
[11-04-2001] 0.02b - Moved some function into this global include file.
				   - Made the file 0.02b immediately because the rest is also this far.				   
Goals(Sorted by priority):
- Testing on stability and errors.
************************
*/


require("$ains_path/ains_mysql.inc");
$SQL = new ains_sql;
$in_template = "";

function connect()
{
	global $SQL, $ains_path;
	if($config_fp = @fopen("$ains_path/ains_conf.inc.php", "r")){
		$config_contents = fread($config_fp, filesize("$ains_path/ains_conf.inc.php"));
		fclose($config_fp);
		$config_line = explode("\n", $config_contents);
        
		$SQL->set("db_user", $config_line[1]);				// Reading from line 3 because on line 1 and 2
		$SQL->set("db_password", $config_line[2]);			// are <?PHP and /* to protect the file from
		$SQL->set("db_host", $config_line[3]);				// being viewed by visitors.
		$SQL->set("db_name", $config_line[4]);
		$SQL->set("error_reporting", $config_line[5]);

		$SQL->host_connect() || die();						// Connecting to the database.
		$SQL->db_connect() || die();						// Connecting to the database.
				
		return true;
	}
	else{
	    return false;	
	}
}

function fetch_template($type = "")
{
	/* This function loads the templates used by the _form functions.
	 * Input:
	 *		- $type - What template to load. There are five available:
	 *			- post
	 *			- delete
	 *			- modify
	 *			- order
	 *			- config
	 * Output:
	 *		- None
	 *		- Error message - if the template file couldn't be opened.
	 * Returns:
	 *		- True - if the news template was opened properly.
	 *		- False - if the news template file couldn't be opened.
	 */
    global $SQL, $ains_path, $in_template;
	if($type){
		$SQL->db_query("SELECT * FROM ains_templates");
		$SQL->fetch_row();
	
		$template_url = $SQL->fetch_field($type . "Template");
		$template_url = $ains_path . $template_url;
		
		$template_fp = fopen($template_url, "r");
		if($template_fp){
			$in_template = fread($template_fp, filesize("$template_url"));
			fclose($template_fp);
			return true;
		}
		else{
			$SQL->error_handler("Could not open $type template($template_url).");
			return false;
		}
	}
}
?>